label lb_intro_text00:
    scene black
    with dissolve
    with Pause(1)
    scene sc intro text01
    with dissolve
    with Pause(3)
    show bg black with dissolve
    call screen scr_intro_introtext00

screen scr_intro_introtext00:
    tag intro
    text "You are [y_name], a divorced guy who has a beautiful and young daughter, [d_name]. You haven't seen [d_name] in almost 10 years. She’s lived abroad most of her life so watching her grow wasn’t a possibility..."  xalign 0.5 yalign 0.5 xminimum 0.7 xmaximum 0.7 text_align 0.5
            
            
  #  text "{b}You are Ethan, a divorced guy who has a young and beautiful daughter. You haven't seen your daughter in a decade. She’s lived abroad most of her life so watching her grow wasn’t a possibility...{/b}" xalign 0.5 yalign 0.5 xmargin 50
    imagebutton:       
      idle "bg invisible" xalign 0 yalign 0 action Show("scr_intro_introtext01")
           
     
screen scr_intro_introtext01:
    tag intro
    text "Now that [d_name] has turned 18, she contacted you and told you she was coming to this country for vacation. She asked you if you two could spend some time together..." xalign 0.5 yalign 0.5 xminimum 0.7 xmaximum 0.7 text_align 0.5
    imagebutton:       
      idle "bg invisible" xalign 0 yalign 0 action Show("scr_intro_introtext02")
     
screen scr_intro_introtext02:
    tag intro
    text "You obviously said YES." xalign 0.5 yalign 0.5 xminimum 0.7 xmaximum 0.7 text_align 0.5
    imagebutton:       
      idle "bg invisible" xalign 0 yalign 0 action Show("scr_intro_introtext03")
     
      
screen scr_intro_introtext03:
    tag intro
    add "sc intro text02"
    add "bg black"
    text "Now she's coming to your place. You two are going to have a \"father-daughter\" date.  She’s really excited to see you again after all these years." xalign 0.5 yalign 0.5 xminimum 0.7 xmaximum 0.7 text_align 0.5
    imagebutton:       
      idle "bg invisible" xalign 0 yalign 0 action Show("scr_intro_introtext04")
     
screen scr_intro_introtext04:
    tag intro
    add "sc intro text02"
    add "bg black"
    text "This is your chance to get to know [d_name] better, build a special relationship with her and why not, maybe convince her to have more \"father-daughter\" dates with you before she goes back home..." xalign 0.5 yalign 0.5 xminimum 0.7 xmaximum 0.7 text_align 0.5
    imagebutton:       
      idle "bg invisible" xalign 0 yalign 0 action Jump("lb_intro_knockdoor")


    



    
    
##############################

init python:
     style.tooltipping = Style(style.default)
     style.tooltipping.size = 18   
     style.tooltipping.xalign = .98
     style.tooltipping.yalign = 0.33
    
screen toprightmenu:

    default tt = Tooltip("") 
    text tt.value style "tooltipping"
    text tt.value xoffset -150 yoffset 20
    
    tag toprightmenu
    modal False
    imagebutton:
        idle "p corrupt[v_corruption]" 
        hover "buttons/DPicHover.png" xalign 0.98 yalign 0.01 
        hovered tt.Action("Click here to see \n relationship level info")
        action If(renpy.get_screen("corruption_level"), Hide("corruption_level"), Show("corruption_level"))  
        
    vbox xalign 0.988 yalign 0.195:
        imagebutton:
            idle "p stats" action Show("scr_settings")
            hovered tt.Action("Click here to edit the name \n of yourself or your daughter")
        text "{b}[v_stat_d_friend]{/b}" xoffset -18 yoffset -55 xalign 0.5
        text "{b}[v_stat_d_love]{/b}" xoffset 20 yoffset -103 xalign 0.5
        
    imagebutton:
        idle "p progress" xalign 0.01 yalign 0.01
    imagebutton:
        idle "gui/btn_quicksave_0.png" hover "gui/btn_quicksave_1.png" xalign 0.002 yalign 0.09 action QuickSave()
    imagebutton:
        idle "btn options_0" hover "btn options_1" xalign 0.01 yalign 0.01 action ShowMenu("save")
    text "Day [v_days]" xalign 0.065  yalign 0.035
     
           
screen corruption_level:   
    vbox xalign 0.98 yalign 0.01:
        if [v_corruption] > 0:
            image "buttons/DPicHover.png"
        else:
            image "p corrupt[v_corruption]"
    vbox xpos 971 ypos 210:
        if [v_corruption] > 0:
            image "bg_corruption_popup[v_corruption]"
    vbox xpos 1165 ypos 283:
        if v_days == 8:
            image "gui/v_cupid.png"
            text "{b}[v_day8_cupid_score]{/b}" xoffset 31 yoffset -92 xalign 0.5
    vbox xpos 1173 ypos 255:
        if v_days > 9:
            image "gui/v_mouth.png"
            text "{b}[v_mouth_points]{/b}" xoffset 23 yoffset -38 xalign 0.5
    vbox xpos 1180 ypos 375:
        if v_days > 9:
            image "gui/v_boob.png"
            text "{b}[v_boobs_points]{/b}" xoffset -4 yoffset -35 xalign 0.5
    vbox xpos 1178 ypos 490:
        if v_days > 9:
            image "gui/v_ass.png"
            text "{b}[v_ass_points]{/b}" xoffset -24 yoffset -38 xalign 0.5
    vbox xpos 1187 ypos 610:
        if v_days > 9:
            image "gui/v_exhibition.png"
            text "{b}[v_exhibition_points]{/b}" xoffset 5 yoffset -33 xalign 0.5
    vbox xpos 1078 ypos 615:
        if v_days > 9:
            image "gui/v_sharing.png"
            text "{b}[v_sharing_points]{/b}" xoffset 31 yoffset -36 xalign 0.5
    vbox xpos 975 ypos 615:
        if v_days > 9:
            image "gui/v_penis.png"
            text "{b}[v_penis_points]{/b}" xoffset -27 yoffset -36 xalign 0.5
            
        
screen scr_endofversion:  
    add "bg/bg endversion2.jpg"
    imagebutton auto "gui/main_patreon_%s.png" xalign 0.5 yalign 0.8 focus_mask True  action OpenURL("https://www.patreon.com/mrdotsgames") 
    frame:
        style_group "menu_choice"
        xalign 0.5
        yalign 0.985

        has hbox
        textbutton "Main Menu"  action MainMenu(confirm=False)
        
screen scr_credits6:  
    add "bg/bg credits6.jpg"
    frame:
        style_group "menu_choice"
        xalign 0.5
        yalign 0.985

        has hbox
        textbutton "Main Menu"  action Hide("scr_credits6")
screen scr_kisskisskiss:
    imagebutton idle "bg/bg kisskisskiss.jpg" xalign 0.5 yalign 0.5 action Return()
        
screen scr_job:
    imagebutton idle "bg/bg job.jpg" xalign 0.5 yalign 0.5 action Return()

label lb_jump:
    call screen scr_shop
    
    
screen scr_shop:
    add "bg black"
    imagebutton idle "bg/bg shopping.png" xalign 0.5 yalign 0.5 action Hide("scr_shop")
    

    
screen scr_extras:
    add "bg black"
    imagebutton idle "bg/bg extras.jpg" xalign 0.5 yalign 0.5
    imagebutton:
        idle "yes idle" hover "yes hover" xalign 0.415 yalign 0.82  action [SetVariable("v_extras_enabled",True),Hide("scr_extras"),Return()]
        
    imagebutton:
        idle "no idle" hover "no hover" xalign 0.585 yalign 0.82 action   [SetVariable("v_extras_enabled",False),Hide("scr_extras"),Return()]
    
screen scr_corrupt01:
    add "bg black"
    imagebutton idle "bg/bg corruption01.jpg" xalign 0.5 yalign 0.5 action Return()
    
screen scr_corrupt02:
    add "bg black"
    imagebutton idle "bg/bg corruption02.jpg" xalign 0.5 yalign 0.5 action Return()
    
screen scr_corrupt03:
    add "bg black"
    imagebutton idle "bg/bg corruption03.jpg" xalign 0.5 yalign 0.5 action Return()
    
screen scr_corrupt04:
    add "bg black"
    imagebutton idle "bg/bg corruption04.jpg" xalign 0.5 yalign 0.5 action Return()
        
screen scr_corrupt05:
    add "bg black"
    imagebutton idle "bg/bg corruption05.jpg" xalign 0.5 yalign 0.5 action Return()
    
    
screen scr_corrupt06:
    add "bg black"
    imagebutton idle "bg/bg corruption06.jpg" xalign 0.5 yalign 0.5 action Return()
    
screen scr_settings:
    add "bg black"
    modal True
    imagemap:
        style_group "none"
        ground "bg/game_settings.jpg" xalign 0.5 yalign 0.5 
        hbox xalign 0.6 yalign 0.20:
            button:
                id "name_input1"
                xysize (160, 25)
                xpos 0.4 ypos 1.0
                action NullAction()
                add Input( default=y_name, changed=y_name_func, length=10, button=renpy.get_widget("name_input","name_input1")) yalign 1.0
        hbox xalign 0.6 yalign 0.30:
            button:
                id "name_input2"
                xysize (160, 25)
                xpos 0.4 ypos 0.35
                action NullAction()
                add Input(default=d_name, changed=d_name_func, length=10, button=renpy.get_widget("name_input","name_input2")) yalign 1.0     

    frame:
        style_group "menu_choice"
        xalign 0.5
        yalign 0.8
        has hbox
        textbutton "Return"  action Hide("scr_settings")
    
 
